Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.mock
Class MockNavigationHandler

    java.lang.Object
      javax.faces.application.NavigationHandler
          javax.faces.application.ConfigurableNavigationHandler
              org.jboss.seam.mock.MockNavigationHandler

    public class MockNavigationHandler

extends javax.faces.application.ConfigurableNavigationHandler

Constructor Summary
`MockNavigationHandler()`

Method Summary
`javax.faces.application.NavigationCase` | `getNavigationCase(javax.faces.context.FacesContext context, String fromAction, String outcome)`
`Map<String,Set<javax.faces.application.NavigationCase>>` | `getNavigationCases()`
`void` | `handleNavigation(javax.faces.context.FacesContext context, String action, String outcome)`

Methods inherited from class javax.faces.application.ConfigurableNavigationHandler
`performNavigation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockNavigationHandler

    public MockNavigationHandler()

Method Detail

### handleNavigation

    public void handleNavigation(javax.faces.context.FacesContext context,
                                 String action,
                                 String outcome)

  Specified by:
    `handleNavigation` in class `javax.faces.application.NavigationHandler`

### getNavigationCase

    public javax.faces.application.NavigationCase getNavigationCase(javax.faces.context.FacesContext context,
                                                                    String fromAction,
                                                                    String outcome)

  Specified by:
    `getNavigationCase` in class `javax.faces.application.ConfigurableNavigationHandler`

### getNavigationCases

    public Map<String,Set<javax.faces.application.NavigationCase>> getNavigationCases()

  Specified by:
    `getNavigationCases` in class `javax.faces.application.ConfigurableNavigationHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.